# Algorithmix

![logo](https://github.com/monzita/algorithmix/blob/master/logo.png)

![Gem](https://img.shields.io/gem/v/algorithmix.svg?style=flat-square) ![Gem](https://img.shields.io/gem/dt/algorithmix.svg?style=flat-square) ![Gem](https://img.shields.io/gem/dtv/algorithmix.svg?style=flat-square) ![Gem download rank (daily)](https://img.shields.io/gem/rd/algorithmix.svg?style=flat-square) ![Gem download rank](https://img.shields.io/gem/rt/algorithmix.svg?style=flat-square) ![Travis (.org)](https://img.shields.io/travis/monzita/algorithmix.svg?style=flat-square)

The gem contains various implementations of known and unknown data structures and algorithms.

# Minor versions

:construction: Because the gem is still not ready, with each new implementation of a data structure or an algorithm, a new
minor version will be released.

![](https://img.shields.io/badge/min-0.0.0.7-green.svg) [**DoubleLinkedList**](https://github.com/monzita/algorithmix/wiki/DoubleLinkedList), LinkedList bug fixes. 

[**All versions**](https://github.com/monzita/algorithmix/wiki/Versions)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'algorithmix'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install algorithmix

## Usage

For more information how to use the gem, check the [official documentation](https://github.com/monzita/algorithmix/wiki).

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at [the official github page of the gem](https://github.com/monzita/algorithmix). This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Algorithmix project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/monzita/algorithmix/blob/master/CODE_OF_CONDUCT.md).
